aboutsummaryrefslogtreecommitdiff
path: root/share/templater/apache
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
commit82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4 (patch)
tree4b81210f80e8a3e85a1d65b01beb67f92a727066 /share/templater/apache
parent8e83eb20f8841022cf9a221f2e8447cdba1f7270 (diff)
downloadtemplater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.gz
templater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.bz2
New module format
Diffstat (limited to 'share/templater/apache')
-rw-r--r--share/templater/apache/description1
-rw-r--r--share/templater/apache/files/LICENSE (renamed from share/templater/apache/LICENSE)0
-rwxr-xr-xshare/templater/apache/setup23
3 files changed, 24 insertions, 0 deletions
diff --git a/share/templater/apache/description b/share/templater/apache/description
new file mode 100644
index 0000000..ce3b7af
--- /dev/null
+++ b/share/templater/apache/description
@@ -0,0 +1 @@
+Apache License
diff --git a/share/templater/apache/LICENSE b/share/templater/apache/files/LICENSE
index d645695..d645695 100644
--- a/share/templater/apache/LICENSE
+++ b/share/templater/apache/files/LICENSE
diff --git a/share/templater/apache/setup b/share/templater/apache/setup
new file mode 100755
index 0000000..ca14efa
--- /dev/null
+++ b/share/templater/apache/setup
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+# Apache License templater module.
+#
+
+# Parameters
+SHARE="$1"
+
+# Include basic functions
+source $SHARE/templater/functions || exit 1
+
+# Apache License
+function templater_apache {
+ if [ ! -e "LICENSE" ]; then
+ __templater_echo "Setting up Apache License..."
+ cp $SHARE/apache/files/LICENSE .
+ else
+ __templater_echo "LICENSE already set"
+ fi
+}
+
+# Dispatch
+templater_apache